lv.eparaksts.tsl

## Enum LotlId

- java.lang.Object
- - java.lang.Enum<LotlId>
  - - lv.eparaksts.tsl.LotlId

- All Implemented Interfaces:
    Serializable, Comparable<LotlId>

      public enum LotlId
      extends Enum<LotlId>

  List of Trusted Lists

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EU` EU List of Trusted Lists
    `EU_TC` EU Third Countries AdES List of Trusted Lists (TC AdES LOTL)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LotlId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LotlId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EU

          public static final LotlId EU

      EU List of Trusted Lists

    - #### EU_TC

          public static final LotlId EU_TC

      EU Third Countries AdES List of Trusted Lists (TC AdES LOTL)

  - ### Method Detail

    - #### values

          public static LotlId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LotlId c : LotlId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LotlId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO